<% add_decidim_page_title(proposal_wizard_step_title(action_name)) %>
<div class="br-container-lg">
  <div class="new-proposal-header">
    <%= render partial: "decidim/proposals/proposals/wizard_aside" %>
    <%= render partial: "decidim/proposals/proposals/wizard_header", locals: { edit_form_bool: true } %>
  </div>
  <%= decidim_form_for(@form) do |form| %>
    <%= form_required_explanation %>
    <div class="new-proposal-form">
      <div class="br-input input-highlight bp-input" >
        <%= form.text_field :title , placeholder: "Digite aqui", label: t("decidim.proposals.proposals.new.title_field", singular_name: translated_attribute(current_component.singular_name).present? ? translated_attribute(current_component.singular_name).downcase : "proposta")  %>
      </div>
      <% if @form.categories&.any? %>
        <div class="bp-select input-highlight ">
          <%= form.categories_select :category_id, @form.categories, include_blank: t("decidim.proposals.proposals.edit.select_a_category") %>
        </div>
      <% end %>
      <div class="bp-text-area">
        <%= text_editor_for_proposal_body(form) %>
      </div>
      <% if current_organization.user_groups_enabled? && Decidim::UserGroups::ManageableUserGroups.for(current_user).verified.any? %>
        <div class="field">
          <%= user_group_select_field form, :user_group_id %>
        </div>
      <% end %>
      <% if @form.geocoding_enabled? %>
        <div class="field select-field-br">
          <%= form.select :associated_state,
                          @form.proposal_state_select,
                          { include_blank: t("decidim.proposals.admin.proposals.form.select_a_proposal_associated_state") },
                          { multiple: false } %>
        </div>
        <div class="field" style="display: none;">
          <%= form.check_box :has_address, checked: @form.geocoding_enabled? %>
        </div>
        <div class="field" id="proposal_address_div" style="display: none;">
          <%= form.hidden_field :address,
            input_html: { required: false }
          %>
        </div>
        <div class="proposal-address-inputs" id="address_input_div" >
          <div class="field select-field-br meeting-address">
            <label for="state">Estado:
              <select id="state" name="state" autocomplete="on">
                <option disabled selected>Selecione um estado</option>
              </select>
            </label>
            <label for="city">Cidade:
              <select id="city" name="city" autocomplete="on" disabled>
                <option>Selecione um estado</option>
              </select>
            </label>
          </div>
        </div>
      <% end %>
      <% if component_settings.attachments_allowed? %>
        <fieldset class="gallery__container photos_container">
          <legend><%= t("gallery_legend", scope: "decidim.proposals.proposals.edit") %></legend>
          <div class="row column">
            <%= form.attachment :photos,
                  multiple: false,
                  label: t("decidim.proposals.proposals.edit.add_image"),
                  button_label: t("decidim.proposals.proposals.edit.add_image"),
                  button_edit_label: t("decidim.proposals.proposals.edit.edit_image"),
                  help_i18n_scope: "decidim.forms.file_help.image",
                  extension_allowlist: Decidim::OrganizationSettings.for(current_organization).upload_allowed_file_extensions_image %>
          </div>
        </fieldset>
        <fieldset class="attachments_container gallery__container documents_container">
          <legend><%= t("attachment_legend", scope: "decidim.proposals.proposals.edit") %></legend>
          <div class="row column">
            <%= form.attachment :documents,
                  multiple: true,
                  label: t("decidim.proposals.proposals.edit.add_documents"),
                  button_label: t("decidim.proposals.proposals.edit.add_documents"),
                  button_edit_label: t("decidim.proposals.proposals.edit.edit_documents"),
                  help_i18n_scope: "decidim.forms.file_help.file" %>
          </div>
        </fieldset>
      <% end %>
      <div class="actions bp-new-proposal-container">
        <%# <%= form.button "Pré-visualização", class: "button expanded mt-s mb-none new-proposal-button pre-view-button" %>
        <%= form.submit t(".send"), class: "button expanded mt-s mb-none new-proposal-button", data: { disable: true } %>
      </div>
    </div>
  <% end %>
  <div class="columns large-3"></div>
</div>

<% content_for :js_content do %>
  <%= javascript_pack_tag "decidim_proposals" %>
  <%= javascript_pack_tag "address" %>
<% end %>
